Get the list of study roles containing particular rights

get

/ec-auth-svc/rest/v1.0/studyroles/{studyId}/rolesRights

Retrieves the list of study roles containing particular list of rights , the result shows active/inactive status and template/custom role anc can exclude template roles.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DisplayStudyRoleRightsDto
Type: object
Represents a study role with rights details for display.
Show Source
Nested Schema : rights
Type: object
DTO for right display information including human-readable name and identifier.
Show Source
Example:
[
    {
        "displayName":"Create shipments to DDF",
        "rightName":"OrsSiteShipmentPost"
    }
]
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top